# Copyright 2017 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the &quot;License&quot;);
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an &quot;AS IS&quot; BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# NOTE: This class is auto generated by the swagger code generator program.
# https://github.com/swagger-api/swagger-codegen.git
# Do not edit the class manually.

defmodule GoogleApi.AdSenseHost.V41.Model.AdClient do
  @moduledoc """


  ## Attributes

  - arcOptIn (boolean()): Whether this ad client is opted in to ARC. Defaults to: `null`.
  - id (String.t): Unique identifier of this ad client. Defaults to: `null`.
  - kind (String.t): Kind of resource this is, in this case adsensehost#adClient. Defaults to: `null`.
  - productCode (String.t): This ad client&#39;s product code, which corresponds to the PRODUCT_CODE report dimension. Defaults to: `null`.
  - supportsReporting (boolean()): Whether this ad client supports being reported on. Defaults to: `null`.
  """

  use GoogleApi.Gax.ModelBase

  @type t :: %__MODULE__{
          :arcOptIn => any(),
          :id => any(),
          :kind => any(),
          :productCode => any(),
          :supportsReporting => any()
        }

  field(:arcOptIn)
  field(:id)
  field(:kind)
  field(:productCode)
  field(:supportsReporting)
end

defimpl Poison.Decoder, for: GoogleApi.AdSenseHost.V41.Model.AdClient do
  def decode(value, options) do
    GoogleApi.AdSenseHost.V41.Model.AdClient.decode(value, options)
  end
end

defimpl Poison.Encoder, for: GoogleApi.AdSenseHost.V41.Model.AdClient do
  def encode(value, options) do
    GoogleApi.Gax.ModelBase.encode(value, options)
  end
end
