defmodule GoogleApi.AdSenseHost.V41.Mixfile do
  use Mix.Project

  @version "0.1.0"

  def project do
    [app: :google_api_ad_sense_host,
     version: @version,
     elixir: "~> 1.4",
     build_embedded: Mix.env == :prod,
     start_permanent: Mix.env == :prod,
     description: description(),
     package: package(),
     deps: deps(),
     source_url: "https://github.com/GoogleCloudPlatform/elixir-google-api/tree/master/clients/ad_sense_host"
    ]
  end

  def application() do
    [extra_applications: [:logger]]
  end

  defp deps() do
    [
      {:google_gax, "~> 0.1.0"},
      {:ex_doc, "~> 0.16", only: :dev}
    ]
  end

  defp description() do
    """
    Generates performance reports, generates ad codes, and provides publisher management capabilities for AdSense Hosts.
    """
  end

  defp package() do
    [
      files: ["lib", "mix.exs", "README*", "LICENSE"],
      maintainers: ["Jeff Ching"],
      licenses: ["Apache 2.0"],
      links: %{
        "GitHub" => "https://github.com/GoogleCloudPlatform/elixir-google-api/tree/master/clients/ad_sense_host",
        "Homepage" => "https://developers.google.com/adsense/host/"
      }
    ]
  end
end
